%global momorel 1
%global srcname KGtk
%global qt4ver 4.4.0
%global kdever 4.0.85
%global kdelibsrel 1m
%global kdedir /usr

Summary: Allows Gtk and Qt applications to use KDE's file dialogs
Name: kgtk
Version: 0.10.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=36077
Group: System Environment/Libraries
Source0: http://home.freeuk.com/cpdrummond/%{srcname}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-0.9.4-open_O_CREAT_parameters.patch
Patch1: %{name}-0.9.4-intptr_t.patch
Patch2: %{name}-0.9.6-kdialogd-po.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qt4ver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: glib2-devel
BuildPreReq: gtk2-devel
BuildPreReq: pkgconfig

Obsoletes: kgtk-qt4

%description
This is an LD_PRELOAD library that allows Gtk and Qt applications (such as
Firefox, Evolution, Eclipse, etc) to use KDE's file dialogs.

When a Gtk/Qt app is executed, it starts the kdialogd app (if not already
started), and communicates with this via a UNIX domain socket. There will only
ever be one instance of kdialogd, and all apps communicate with the same
instance - and it terminates itself 30 seconds after the last Gtk/Qt app has
disconnected.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .open_O_CREAT_parameters
%patch1 -p1 -b .intptr_t
%patch2 -p1 -b .kdialogd-po

%build

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%ifarch x86_64
%define lib_suffix "-DLIB_SUFFIX=64"
%else
%define lib_suffix %{nil}
%endif

cmake . \
	%{lib_suffix} \
	-DKGTK_KDE4=true \
	-DKGTK_QT4=true \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags}"

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/kdialogd4
%{_bindir}/kdialogd-wrapper
%{_bindir}/kgtk-wrapper
%{_bindir}/kgtk2-wrapper
%{_bindir}/kqt4-wrapper
%{_libdir}/kgtk
%{_datadir}/locale/*/*/*.mo

%changelog
* Thu Jul 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-1m)
- version 0.10.0

* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.6-1m)
- version 0.9.6

* Sat Jun  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.5-1m)
- version 0.9.5
- build for KDE4 and Qt4

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-4m)
- rebuild against qt3 and qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-2m)
- %%NoSource -> NoSource

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-1m)
- version 0.9.4

* Sat Oct 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.3-1m)
- version 0.9.3

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.2-1m)
- version 0.9.2

* Wed Oct  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- revise spec file for x86_64

* Wed Oct  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-1m)
- version 0.9.1
- change build system to cmake
- remove kgtk-qt4 for the moment

* Sun Sep 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9
- add a package kgtk-qt4
- remove momonga.patch

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- initial package for Momonga Linux
